CIF_HKL_COD_NUMBER(1)

NAME
cif_hkl_COD_number - parse a CIF file and print out the essential information in the COD CIF format

SYNOPSIS
cif_hkl_COD_number --options input1.cif input*.cif

DESCRIPTION
Parse a CIF file and print out the essential information in the COD CIF format

OPTIONS
-h, --add-cif-header header_file.cif
                  Prepend each of the output files with the comments
                  from the beginning of the specified file.

--exclude-empty-tags
                  Remove tags that contain only empty values. A value is
                  considered empty if it equal to a single question mark ('?')
                  or a single period ('.').

--dont-exclude-empty-tags, --no-exclude-empty-tags
                  Disable the '--exclude-empty-tags' option (default).

-x, --extra-tag-list tag-list.lst
                  Add additional tags to the list of recognised CIF tags.
                  These extra tags are presented in a separate file, one
                  tag per line.

--exclude-misspelled-tags
                  Remove tags that were not present in the recognised
                  tag list.

--dont-exclude-misspelled-tags,

--no-exclude-misspelled-tags
                  Disable the '--exclude-misspelled-tags' option.

--preserve-loop-order
                  Print loops in the same order they appeared in the
                  original file.

--use-internal-loop-order
                  Disregard original loop order while printing the tags
                  (default).

--original-filename data_source.cif
                  Use the provided string as the name of the original file.
                  (see --record-original-filename).

--clear-original-filename
                  Do not use any previously provided strings as the name
                  of the original file.

--record-original-filename
                  Record the original filename and the original data
                  block name for each data block as the '_cod_data_source_*'
                  tag values.

--dont-record-original-filename
                  Do not record the original filename and the original
                  data block name (default).

-S, --start-data-block-number 1234567
                  Use the provided number as the start number when
                  renaming data blocks (default: '7000001'). Setting
                  this option enables the '-R' option.

-d, --data-block-format '%07d'
                  Use the provided format to determine new data block
                  names from the provided data block numbers
                  (default: '%07d').

-R, --renumber-data-blocks
                  Rename all data blocks. The new names are constructed
                  by taking a start number (specified by the '-S' option),
                  applying the string format (specified by the '-d' option)
                  and then incrementing the start number for each
                  sequential data block.

-R-, --dont-renumber-data-blocks
                  Do not rename data blocks (default). Enabling this
                  option sets the '-S' option to default value.

--folding-width 76
                  Specify the length of the longest unfolded line.

--fold-title

--dont-fold-title
                  Folds the title, if longer than folding width.
                  Default: off.

--fold-long-fields

--dont-fold-long-fields
                  Fold fields, longer than folding width. Default: off.

--use-perl-parser
                  Use Perl parser to parse CIF files.

--use-c-parser
                  Use C parser to parse CIF files (default).

--help, --usage
                  Output a short usage message (this message) and exit.

--version
                  Output version information and exit.

REPORTING BUGS
Report cif_hkl_COD_number bugs using e-mail: cod-bugs@ibt.lt